Bug 536139 (RHQ-521)

Summary: Configuration: add support for Lists of Simples to the config view/edit page
Product: [Other] RHQ Project Reporter: Ian Springer <ian.springer>
Component: ConfigurationAssignee: Charles Crouch <ccrouch>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 1.0CC: ccrouch, dsteigne, hbrock, mazz, mfoley, tao
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: All   
OS: All   
URL: http://jira.rhq-project.org/browse/RHQ-521
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-09-03 13:01:54 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Ian Springer 2008-05-28 08:20:00 EDT
it would be nice to have e.g. for the excludes and transforms plugin config props in the Apache plugin's VHost service. Without lists of simples, I'm forced to use a simple prop whose value is a comma-separated list of items, which makes for a less user-friendly and more error-prone GUI for these props. 
Comment 1 Red Hat Bugzilla 2009-11-10 16:11:01 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-521
This bug is duplicated by RHQ-581
Comment 2 David Lawrence 2009-11-11 12:28:11 EST
*** Bug 536206 has been marked as a duplicate of this bug. ***
Comment 3 John Mazzitelli 2011-03-24 09:53:07 EDT
i think ian added this in the GWT config editor - assigning to him to confirm and close if appropriate.
Comment 4 Ian Springer 2011-03-24 10:21:19 EDT
Yes, the coregui GWT config editor now supports lists-of-simples.
Comment 5 Mike Foley 2011-06-17 15:08:35 EDT
Tested lists of simples, as follows:

Configuration Editor: http://localhost:7080/coregui/#Test/Configuration/ConfigEditor

Read-only Configuration Editor:  http://localhost:7080/coregui/#Test/Configuration/ReadOnlyConfigEditor

( list of simpels not supported in Group Config and Read-only Group Config editor.)
Comment 8 Heiko W. Rupp 2013-09-03 13:01:54 EDT
Bulk closing of old issues that are in VERIFIED state.